/*
 * FechaCampoMenorAOtra.java
 *
 * Created on 22 de marzo de 2007, 11:32 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
package com.fidufosyga.rules;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Calendar;

import com.fidufosyga.rules.util.ValidarFecha;

/**
 *
 * @author Julian
 */
public class FechaRangoMesesInferiorActual extends AbstractRule {

    String DATE_FORMAT = "dd/MM/yyyy";
    SimpleDateFormat sdf;

	// Create object of SimpleDateFormat and pass the desired date format.
    /**
     * Creates a new instance of CampoVacio
     */
    public FechaRangoMesesInferiorActual() {
        sdf = new SimpleDateFormat(DATE_FORMAT);
        sdf.setLenient(false);
    }

    public boolean performValidation(String field, String registro[], String nombreArchivo) {

        Integer rango = Integer.parseInt((String) getParams()[0]);
        if (!ValidarFecha.esFecha(field)) {
            return false;
        }
        Calendar dateCampo = Calendar.getInstance();
        Calendar dateOtra = Calendar.getInstance();
        try {
            dateCampo.setTime(sdf.parse(field));
            dateOtra.setTime(new Date());
            dateCampo.add(Calendar.MONTH, rango);
        } catch (Exception e) {
            return false;
        }

        if (dateCampo.get(Calendar.MONTH)>=dateOtra.get(Calendar.MONTH)) {
            return false;
        }

        return true;
    }
}
